function [s, d ]= D_lohifilP(Par,N,span)
    
m=span;

	n=0:(N-1);
	nn=pi*(n)/N;
	mw=exp(-i*2^m* nn);
    bc=(cos(2^(m-1)*nn)).^Par;
    %bs=(sin(nn)).^Par;
   [~, ~, ~, u1]=per_dbspP(N,(m),2*Par);
   u1=repmat(u1,1,2^(m));
   
    [~, ~, ~, uc]=per_dbspP(N,(m-1),2*Par);
   uc=repmat(uc,1,2^(m-1)); 
  
  s=sqrt(uc./2./(u1+eps)).*bc;
    
    d= circ_h(s,N/2^m).*(mw);

% Copyright (c) 2011. Valery A. Zheludev
 
    